Subject: Re: [Pals] Comments on draft-schmutzer-bess-ple-00

From: "Christian Schmutzer (cschmutz)" <[email-masked]>
Date: Mon, 2 Nov 2020 14:29:33 +0000

Hi Chris,

Thank you very much for you comments. Please see inline via [cs]

Regards
christian

On 30.10.2020, at 16:24, Brown, Christopher <[email-masked]<mailto:[email-masked]>> wrote:

Hello,

We have the following questions and feedback regarding https://tools.ietf.org/html/draft-schmutzer-bess-ple-00

Q1: Section 4.2.2 RTP Header

From the draft,

     “Timestamp values are used in accordance with the rules

      established in [RFC3550].  Frequency of the clock used

      for generating    timestamps MUST be 25 MHz based on a

      local reference.”

Does 25MHz provide enough resolution to meet the jitter requirements of higher bit rate signals?  A 25MHz clock provides 40ns of resolution in the timestamp while a 125MHz clock would provide 8ns of resolution.  It is easier to filter out steps of 8ns than 40ns when recovering the client clock.

[cs] This is a good suggestion, we will adopt this change in the upcoming -01 revision of the draft

Q2: Section 5. PLE Payload Layer

The suggested default payload sizes for a constant bit rate payload (S5.1) is 480 bytes and an ODUk frame aligned payload (S5.2) is 478 bytes.  Should we consider a bigger packet size in each case to lower the effective packet rate and added overhead?  Doubling the default payload size would result in the maximum number of 10G clients per 100G link.

[cs] this also makes sense and we can adopt 1024 as the new default size.

Side note : in upcoming -01 draft we will change from frame to byte alignment for the payload type used to carry OTN bit streams so we can have a single common default size for both payload types

Thank you,
Chris
[email-masked]<mailto:[email-masked]>

Chris Brown | System Design & Development
[email-masked]<mailto:[email-masked]> | Building B, 385 Terry Fox Drive | Ottawa, ON K2K 2P5 CA
Direct +1.613.670.2554